Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Interaction.EmacsTop

Synopsis

- mimicGHCi :: TCM () -> TCM ()

# Documentation

mimicGHCi :: TCM () -> TCM () #

`mimicGHCi` is a fake ghci interpreter for the Emacs frontend and for interaction tests.

`mimicGHCi` reads the Emacs frontend commands from stdin, interprets them and print the result into stdout.